package org.rcisoft.business.barrange.service;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.rcisoft.business.barrange.entity.BArrange;
import org.rcisoft.business.barrange.entity.ScheduleDto;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;

import java.util.List;

/**
 * Created by  on 2018-4-19 10:28:59.
 */
public interface BArrangeService {

    /**
    * 保存 
    * @param json
    * @return
    */
    PersistModel save(String json);



    /**
    * 分页查询
    * @return
    */
    List<BArrange> findAllByPagination(PageUtil paginationUtility,BArrange bArrange);

    List<BArrange> findAllByAgencyCodeByPagination(PageUtil paginationUtility,BArrange bArrange);


    PersistModel importExcel(HSSFWorkbook convert, String token , String subtaskId);


    List<ScheduleDto> queryDtoBySubtaskId(String bSubtaskId);


    List<ScheduleDto> queryDtoByMany(String agencyCode,String name,String termCode,String teacherCode);

    int changeArrangeToSl(String businessId, String subTaskId ,String termCode);
}
